#!/etc/opt/openit/perl

##################################################################
# Applies the following updates to olap-raw-hourly.conf
# Adds MinMax in filter-process and filter-defs
##################################################################

BEGIN {
	if ($^O ne 'MSWin32') {
		push(@INC, "/opt/openit/lib");
		$ENV{'OPENIT_CFG'} = "/etc/opt/openit/openit.cfg"; 
	} 
	push(@INC, $ENV{'ALTUS'} . "/src/perl/source" ); 
}

use OpeniT::Config;
use strict;

require "./files/conf_helper.pl";

my $CONFIG_DIR = &OpeniT::Config::CONFIG_DIR();
my $file = $CONFIG_DIR;

##################################################################
# Instructions
##################################################################

$file .= "/filtrator/license-init-flex-log.conf";
read_file($file);

print "Modifying $file\n";

format_conf();

print "Removing license-init-flex-log.filter-defs.TempReport.indexes \n";
remove_object("license-init-flex-log.filter-defs.TempReport.indexes", "unlink");

print "Inserting license-init-flex-log.filter-defs.TempReport.record-indexes \n";
insert_object(
	"record-indexes(String)=\"signals,feature,user,host,daemon,server,product,start,duration,count,cnt,used_licenses,status,queued_licenses,licenses,primetime,interval,pid,rule,exepath,tty,clientport,customer_id,ppu_licenses\"{}", 
	"license-init-flex-log.filter-defs.TempReport",
	"append"
);

print "Inserting license-init-flex-log.filter-defs.TempReport.feature-change-indexes \n";
insert_object(
	"feature-change-indexes(String)=\"licenses,customer_id,ppu_licenses\"{}", 
	"license-init-flex-log.filter-defs.TempReport",
	"append"
);